<section class="widget">
    <div class="widget-header">
        <h3>
            <i class="fa fa-magic"></i> 社區照片
        </h3>
    </div>
    <div class="widget-content">

        <input type="file" class="file-loading"
               id="communityMedia" name="CommunityMedia"
               webkitdirectory
               multiple />

    </div>
    <div class="widget-footer"></div>
</section>

<script>
$(function(){

    <?php
        $load= new \House\Plugins\LoadMedias([
                        "model"=>"\\Houserich\\Models\\CommunityMedia",
                        "name"=>"CommunityMedia",
                        "KeyName" => "CommunityId",
                        "KeyID" => $KeyID
                   ]);
        $previews = $load->loadpriviews();
    ?>

    $(".file-loading").fileinput({
        uploadUrl: '<?=$this->url->get('file/upload') ?>',
        deleteUrl: '<?=$this->url->get('file/delete/CommunityMedia') ?>',
        allowedFileExtensions: ['jpg', 'gif', 'png', 'pdf'],
        uploadExtraData: {
            KeyName: 'CommunityId',
            KeyID:'<?=$KeyID;?>'
        },
        theme: "fa",
        browseLabel: '選擇檔案/目錄',
        maxFileSize: 100000, //KB
        msgSizeTooLarge: '檔案"{name}" ({size} KB)超過100MB大小限制無法上傳！',
        removeLabel: '移除',
        previewFileIcon: '<i class="fa fa-file"></i>',
        previewFileIconSettings: {
            'jpg': '<i class="fa fa-file-photo-o text-warning"></i>',
            'png': '<i class="fa fa-file-photo-o text-warning"></i>',
            'gif': '<i class="fa fa-file-photo-o text-warning"></i>',
            'pdf': '<i class="fa fa-file-pdf-o text-danger"></i>',
        },
        overwriteInitial: false,
        initialPreviewAsData: true,

        <?php
        if( count($previews) > 0 ){
        print("
           initialPreview: {$previews['initialPreview']},
           initialPreviewConfig: {$previews['initialPreviewConfig']}
        ");
        } ?>

    }).on('filesorted', function(e, params) {

        console.log('File sorted params', params);
        console.log($(params).attr('src'));
    }).on('fileuploaded', function(e, params) {
        console.log('File uploaded params', params);
    });


});
</script>
